---
title: Module dirs
description: No description.
layout: doc
menu:
  docs:
    parent: "Nature"
---

<hr>
<div id='setOld'>			
<h4 class='heading'>
dirs.setOld(d)
<a href="#setOld" class='heading-link'>
	<i class="fas fa-paperclip"></i>
</a>
</h4>

Sets the old directory string.
#### Parameters
`d` **`string`**
</div>

<hr>
<div id='push'>			
<h4 class='heading'>
dirs.push()
<a href="#push" class='heading-link'>
	<i class="fas fa-paperclip"></i>
</a>
</h4>

Add `d` to the recent directories list.
#### Parameters
This function has no parameters.  
</div>

<hr>
<div id='peak'>			
<h4 class='heading'>
dirs.peak(num)
<a href="#peak" class='heading-link'>
	<i class="fas fa-paperclip"></i>
</a>
</h4>

Look at `num` amount of recent directories, starting from the latest.
#### Parameters
`num` **`number`**
</div>

<hr>
<div id='pop'>			
<h4 class='heading'>
dirs.pop(num)
<a href="#pop" class='heading-link'>
	<i class="fas fa-paperclip"></i>
</a>
</h4>

Remove the specified amount of dirs from the recent directories list.
#### Parameters
`num` **`number`**
</div>

<hr>
<div id='recent'>			
<h4 class='heading'>
dirs.recent(idx)
<a href="#recent" class='heading-link'>
	<i class="fas fa-paperclip"></i>
</a>
</h4>

Get entry from recent directories list based on index.
#### Parameters
`idx` **`number`**
</div>

